import React, { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl =
  'https://gist.githubusercontent.com/rohame/c66da4d5fb31f35bf2a02d6417a38f64/raw/combined_logan_data.csv';

export const useData = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    const row = d => {
      d.DATE = d.DATE.slice(0,-3)
      d.date = new Date(d.DATE);
      d.TMIN = +d.TMIN;
      d.TMAX = +d.TMAX;
      d.DEP_DELAY = +d.DEP_DELAY;
      return d;
    };
    csv(csvUrl, row).then(setData);
  }, []);
  console.log(data)
  return data;
};