export const Marks = ({
  data,
  xScale,
  xValue,
  yScale,
  yValue,
  colorScale,
  colorValue,
  sizeScale = d => circleRadius,
  sizeValue,
  tooltipFormat,
  circleRadius
}) =>
  data.map(d => (
    <circle
      className="mark"
      cx={xScale(xValue(d))}
      cy={yScale(yValue(d))}
      fill={colorScale(colorValue(d))}
      r={sizeScale(sizeValue(d))}
    >
      <title>{d.DEP_DELAY}</title>
    </circle>
  ));
